(defun c:idw2dwg ()
(setq lay (cdr(cadr(tblnext "layer" t))))
(command "_chprop" "_all" "" "_c" "_bylayer" "_lty" "_bylayer" "_lts" "1" "_lw" "bylayer" "")
  (while lay
    (cond
      ((= lay "2DTransRahmen") (command "-layer" "fa" "7" lay "lt" "Continuous" lay ""))
      ((= lay "2DTransSchriftfeld") (command "-layer" "fa" "7" lay "lt" "Continuous" lay ""))
      ((= lay "Arbeitsachse") (command "-layer" "fa" "3" lay "lt" "ACAD_ISO08W100" lay ""))
      ((= lay "Arbeitsebene") (command "-layer" "fa" "3" lay "lt" "ACAD_ISO09W100" lay ""))
      ((= lay "Arbeitspunkt") (command "-layer" "fa" "3" lay "lt" "Continuous" lay ""))
      ((= lay "Bemaungen") (command "-layer" "fa" "4" lay "lt" "Continuous" lay ""))
      ((= lay "Biegungsenden") (command "-layer" "fa" "7" lay "lt" "Continuous" lay ""))
      ((= lay "Bruchlinien") (command "-layer" "fa" "7" lay "lt" "Continuous" lay ""))
      ((= lay "DefPoints") (command "-layer" "fa" "7" lay "lt" "Continuous" lay ""))
      ((= lay "Detailkreislinien") (command "-layer" "fa" "7" lay "lt" "Continuous" lay ""))
      ((= lay "Fhrungslinien") (command "-layer" "fa" "4" lay "lt" "Continuous" lay ""))
      ((= lay "Hatch") (command "-layer" "fa" "2" lay "lt" "Continuous" lay ""))
      ((= lay "Konturlinien") (command "-layer" "fa" "3" lay "lt" "ACAD_ISO05W100" lay ""))
      ((= lay "Linien mit spezieller Bezeichnung") (command "-layer" "fa" "3" lay "lt" "ACAD_ISO04W100" lay ""))
      ((= lay "Mittellinie") (command "-layer" "fa" "3" lay "lt" "ACAD_ISO08W100" lay ""))
      ((= lay "Mittelpunktmarkierung") (command "-layer" "fa" "3" lay "lt" "ACAD_ISO08W100" lay ""))
      ((= lay "Nur Linien skizzieren") (command "-layer" "fa" "7" lay "lt" "Continuous" lay ""))
      ((= lay "Phantomlinien") (command "-layer" "fa" "7" lay "lt" "ACAD_ISO09W100" lay ""))
      ((= lay "Schnittansichtslinien") (command "-layer" "fa" "2" lay "lt" "ACAD_ISO04W100" lay ""))
      ((= lay "Sichtbare Kanten") (command "-layer" "fa" "7" lay "lt" "Continuous" lay ""))
      ((= lay "Skizzierlinien") (command "-layer" "fa" "7" lay "lt" "Continuous" lay ""))
      ((= lay "Strich 1-Linien") (command "-layer" "fa" "7" lay "lt" "ACAD_ISO03W100" lay ""))
      ((= lay "Strich 2-Linien") (command "-layer" "fa" "7" lay "lt" "ACAD_ISO07W100" lay ""))
      ((= lay "Symbole") (command "-layer" "fa" "7" lay "lt" "Continuous" lay ""))
      ((= lay "Symmetrielinien") (command "-layer" "fa" "7" lay "lt" "ACAD_ISO04W100" lay ""))
      ((= lay "Tangentiale Kanten") (command "-layer" "fa" "7" lay "lt" "Continuous" lay ""))
      ((= lay "Text") (command "-layer" "fa" "7" lay "lt" "Continuous" lay ""))
      ((= lay "Verdeckte Kanten") (command "-layer" "fa" "72" lay "lt" "ACAD_ISO02W100" lay ""))
      ((= lay "7") (command "-layer" "fa" "4" lay "lt" "center2" lay ""))
      )
    (setq lay (cdr(cadr(tblnext "layer"))))
    )
(setq dstyle (cdr(cadr(tblnext "dimstyle" t))))
  (while dstyle    
    (command "-dimstyle" "_r" dstyle)
    (setvar "dimclrd" 256)
    (setvar "dimclre" 256)
    (setvar "dimclrt" 256)
    (command "-dimstyle" "_s" dstyle "_y")
    (setq dstyle (cdr(cadr(tblnext "dimstyle"))))
    )
(setq style (cdr(cadr(tblnext "style" t))))
  (while style
    (cond
      ((= (cdr(assoc 3 (tblsearch "style" style))) "ARIAL.TTF") (command "_-style" style "ISOCP.SHX" "" "" "" "" ""))
      ((= (cdr(assoc 3 (tblsearch "style" style))) "TIMES.TTF") (command "_-style" style "ISOCP.SHX" "" "" "" "" ""))
    ) 
    (setq style (cdr(cadr(tblnext "style"))))
  )
(setvar "ltscale" 0.4)
(setvar "lwdisplay" 0)
(command "regenall")
)